******************************************************************************************************************************
******************************************************************************************************************************
* 	scoring algorithm for the KIDSCREEN-52 self report version with 1 Missing						*
******************************************************************************************************************************
******************************************************************************************************************************

*	copyright and intelectual property: The European KIDSCREEN group				*

******************************************************************************************************************************
* 	1) uses transformed KIDSCREEN item-scores (transformed e.g. by a priori application of the 	*
* 	syntax "transform_KIDSCREEN-52_rawdata.SPS")						*
* 	2) based on the RASCH-Person-Parameter Estimates 						*
* 	3) T-values were computed wich refer to the entire KIDSCREEN survey (excluded were Ireland,	*
* 	cases older than 18, younger than 8, > 25% missings in KIDSCREEN items, with one 		*
* 	missing in the particular scale)									*
* 	4) for the entire European sample the mean of the T-values is 50, the standard deviation is 10	*
******************************************************************************************************************************



RECODE
  KY52PHY1
  (5=3)  (1 thru 2=1)  (3 thru 4=2)  (ELSE=Copy)  INTO  KY52PHYc .
VARIABLE LABELS KY52PHYc 'gh_y01 coll 1 + 2 & 3 + 4 & 5'.
EXECUTE .
MISSING VALUES KY52PHYc (0 +  6 thru 99999) .
EXECUTE .


IF (MISSING(KY52PHYc)) KC52ph_R = KY52PHY2 + KY52PHY3 + KY52PHY4 + KY52PHY5 .
EXECUTE .

DO IF (MISSING(KY52PHYc)) .
RECODE KC52ph_R  
(	4	=	-3.986	)	
(	5	=	-2.752	)	
(	6	=	-2.145	)	
(	7	=	-1.722	)	
(	8	=	-1.377	)	
(	9	=	-1.07	)	
(	10	=	-0.778	)	
(	11	=	-0.487	)	
(	12	=	-0.187	)	
(	13	=	0.128	)	
(	14	=	0.463	)	
(	15	=	0.824	)	
(	16	=	1.221	)	
(	17	=	1.671	)	
(	18	=	2.21	)	
(	19	=	2.926	)	
(	20	=	4.232	)	.
END IF .
EXECUTE .

IF (MISSING(KY52PHY2)) KC52ph_R = KY52PHYc + KY52PHY3 + KY52PHY4 + KY52PHY5 .
EXECUTE .

DO IF (MISSING(KY52PHY2)) .
RECODE KC52ph_R  
(	4	=	-4.128	)	
(	5	=	-2.794	)	
(	6	=	-2.081	)	
(	7	=	-1.581	)	
(	8	=	-1.178	)	
(	9	=	-0.815	)	
(	10	=	-0.46	)	
(	11	=	-0.096	)	
(	12	=	0.289	)	
(	13	=	0.703	)	
(	14	=	1.157	)	
(	15	=	1.671	)	
(	16	=	2.281	)	
(	17	=	3.068	)	
(	18	=	4.426	)	.
END IF .
EXECUTE .

IF (MISSING(KY52PHY3)) KC52ph_R = KY52PHYc + KY52PHY2 + KY52PHY4 + KY52PHY5 .
EXECUTE .

DO IF (MISSING(KY52PHY3)) .
RECODE KC52ph_R  
(	4	=	-4.195	)	
(	5	=	-2.916	)	
(	6	=	-2.254	)	
(	7	=	-1.783	)	
(	8	=	-1.396	)	
(	9	=	-1.044	)	
(	10	=	-0.694	)	
(	11	=	-0.319	)	
(	12	=	0.101	)	
(	13	=	0.575	)	
(	14	=	1.102	)	
(	15	=	1.681	)	
(	16	=	2.331	)	
(	17	=	3.128	)	
(	18	=	4.478	)	.
END IF .
EXECUTE .

IF (MISSING(KY52PHY4)) KC52ph_R = KY52PHYc + KY52PHY2 + KY52PHY3 + KY52PHY5 .
EXECUTE .

DO IF (MISSING(KY52PHY4)) .
RECODE KC52ph_R  
(	4	=	-4.209	)	
(	5	=	-2.919	)	
(	6	=	-2.23	)	
(	7	=	-1.72	)	
(	8	=	-1.286	)	
(	9	=	-0.884	)	
(	10	=	-0.491	)	
(	11	=	-0.094	)	
(	12	=	0.318	)	
(	13	=	0.756	)	
(	14	=	1.235	)	
(	15	=	1.77	)	
(	16	=	2.387	)	
(	17	=	3.162	)	
(	18	=	4.5	)	.
END IF .
EXECUTE .

IF (MISSING(KY52PHY5)) KC52ph_R = KY52PHYc + KY52PHY2 + KY52PHY3 + KY52PHY4 .
EXECUTE .

DO IF (MISSING(KY52PHY5)) .
RECODE KC52ph_R  
(	4	=	-3.779	)	
(	5	=	-2.564	)	
(	6	=	-1.967	)	
(	7	=	-1.54	)	
(	8	=	-1.182	)	
(	9	=	-0.849	)	
(	10	=	-0.518	)	
(	11	=	-0.171	)	
(	12	=	0.2	)	
(	13	=	0.604	)	
(	14	=	1.047	)	
(	15	=	1.545	)	
(	16	=	2.134	)	
(	17	=	2.903	)	
(	18	=	4.261	)	.
END IF .
EXECUTE .


COUNT
  PHYmiss = KY52PHYc KY52PHY2 KY52PHY3 KY52PHY4 KY52PHY5  (MISSING)  .
EXECUTE .
RECODE
  PHYmiss  (0=0)  (1=1)  (2 thru Highest=SYSMIS)  .
EXECUTE .

IF (PHYmiss=1) KC52ph_T = (((KC52ph_R  - 1.2203)  / 1.45408) * 10 + 50) .
EXECUTE .


SORT CASES BY PHYmiss .
SPLIT FILE
  LAYERED BY PHYmiss .
FREQUENCIES
  VARIABLES=KC52ph_R KC52ph_T
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN MEDIAN MODE SKEWNESS SESKEW KURTOSIS SEKURT
  /BARCHART  FREQ
  /ORDER=  ANALYSIS .






IF (MISSING(KY52PWB1)) KC52pw_R = KY52PWB2 + KY52PWB3 + KY52PWB4 + KY52PWB5 + KY52PWB6 .
EXECUTE .

DO IF (MISSING(KY52PWB1)) .
RECODE KC52pw_R  
(	5	=	-5.269	)	
(	6	=	-3.946	)	
(	7	=	-3.198	)	
(	8	=	-2.634	)	
(	9	=	-2.181	)	
(	10	=	-1.799	)	
(	11	=	-1.46	)	
(	12	=	-1.144	)	
(	13	=	-0.835	)	
(	14	=	-0.523	)	
(	15	=	-0.202	)	
(	16	=	0.133	)	
(	17	=	0.486	)	
(	18	=	0.864	)	
(	19	=	1.274	)	
(	20	=	1.731	)	
(	21	=	2.25	)	
(	22	=	2.84	)	
(	23	=	3.512	)	
(	24	=	4.329	)	
(	25	=	5.695	)	.
END IF .
EXECUTE .


IF (MISSING(KY52PWB2)) KC52pw_R = KY52PWB1 + KY52PWB3 + KY52PWB4 + KY52PWB5 + KY52PWB6 .
EXECUTE .

DO IF (MISSING(KY52PWB2)) .
RECODE KC52pw_R  
(	5	=	-5.275	)	
(	6	=	-3.955	)	
(	7	=	-3.208	)	
(	8	=	-2.643	)	
(	9	=	-2.182	)	
(	10	=	-1.79	)	
(	11	=	-1.439	)	
(	12	=	-1.107	)	
(	13	=	-0.782	)	
(	14	=	-0.452	)	
(	15	=	-0.111	)	
(	16	=	0.246	)	
(	17	=	0.623	)	
(	18	=	1.027	)	
(	19	=	1.466	)	
(	20	=	1.95	)	
(	21	=	2.475	)	
(	22	=	3.039	)	
(	23	=	3.664	)	
(	24	=	4.436	)	
(	25	=	5.768	)	.
END IF .
EXECUTE .


IF (MISSING(KY52PWB3)) KC52pw_R = KY52PWB1 + KY52PWB2 + KY52PWB4 + KY52PWB5 + KY52PWB6 .
EXECUTE .

DO IF (MISSING(KY52PWB3)) .
RECODE KC52pw_R  
(	5	=	-5.289	)	
(	6	=	-3.976	)	
(	7	=	-3.241	)	
(	8	=	-2.689	)	
(	9	=	-2.24	)	
(	10	=	-1.857	)	
(	11	=	-1.512	)	
(	12	=	-1.188	)	
(	13	=	-0.87	)	
(	14	=	-0.549	)	
(	15	=	-0.22	)	
(	16	=	0.123	)	
(	17	=	0.484	)	
(	18	=	0.868	)	
(	19	=	1.287	)	
(	20	=	1.755	)	
(	21	=	2.286	)	
(	22	=	2.883	)	
(	23	=	3.551	)	
(	24	=	4.359	)	
(	25	=	5.717	)	.
END IF .
EXECUTE .


IF (MISSING(KY52PWB4)) KC52pw_R = KY52PWB1 + KY52PWB2 + KY52PWB3 + KY52PWB5 + KY52PWB6 .
EXECUTE .

DO IF (MISSING(KY52PWB4)) .
RECODE KC52pw_R  
(	5	=	-4.973	)	
(	6	=	-3.645	)	
(	7	=	-2.934	)	
(	8	=	-2.432	)	
(	9	=	-2.038	)	
(	10	=	-1.702	)	
(	11	=	-1.397	)	
(	12	=	-1.108	)	
(	13	=	-0.821	)	
(	14	=	-0.529	)	
(	15	=	-0.225	)	
(	16	=	0.095	)	
(	17	=	0.435	)	
(	18	=	0.798	)	
(	19	=	1.191	)	
(	20	=	1.623	)	
(	21	=	2.104	)	
(	22	=	2.642	)	
(	23	=	3.259	)	
(	24	=	4.036	)	
(	25	=	5.383	)	.
END IF .
EXECUTE .


IF (MISSING(KY52PWB5)) KC52pw_R = KY52PWB1 + KY52PWB2 + KY52PWB3 + KY52PWB4 + KY52PWB6 .
EXECUTE .

DO IF (MISSING(KY52PWB5)) .
RECODE KC52pw_R  
(	5	=	-4.981	)	
(	6	=	-3.652	)	
(	7	=	-2.94	)	
(	8	=	-2.438	)	
(	9	=	-2.043	)	
(	10	=	-1.707	)	
(	11	=	-1.402	)	
(	12	=	-1.112	)	
(	13	=	-0.825	)	
(	14	=	-0.532	)	
(	15	=	-0.227	)	
(	16	=	0.095	)	
(	17	=	0.437	)	
(	18	=	0.803	)	
(	19	=	1.199	)	
(	20	=	1.635	)	
(	21	=	2.121	)	
(	22	=	2.668	)	
(	23	=	3.3	)	
(	24	=	4.101	)	
(	25	=	5.483	)	.
END IF .
EXECUTE .



IF (MISSING(KY52PWB6)) KC52pw_R = KY52PWB1 + KY52PWB2 + KY52PWB3 + KY52PWB4 + KY52PWB5 .
EXECUTE .

DO IF (MISSING(KY52PWB6)) .
RECODE KC52pw_R  
(	5	=	-5.136	)	
(	6	=	-3.783	)	
(	7	=	-3.034	)	
(	8	=	-2.502	)	
(	9	=	-2.089	)	
(	10	=	-1.742	)	
(	11	=	-1.43	)	
(	12	=	-1.135	)	
(	13	=	-0.842	)	
(	14	=	-0.542	)	
(	15	=	-0.229	)	
(	16	=	0.103	)	
(	17	=	0.456	)	
(	18	=	0.834	)	
(	19	=	1.243	)	
(	20	=	1.694	)	
(	21	=	2.203	)	
(	22	=	2.782	)	
(	23	=	3.451	)	
(	24	=	4.277	)	
(	25	=	5.657	)	.
END IF .
EXECUTE .


COUNT
  PWmiss = KY52PWB1 KY52PWB2 KY52PWB3 KY52PWB4 KY52PWB5 KY52PWB6 (MISSING)  .
EXECUTE .
RECODE
  PWmiss  (0=0)  (1=1)  (2 thru Highest=SYSMIS)  .
EXECUTE .

IF (PWmiss=1) KC52pw_T  = (((KC52pw_R  - 2.2848)  / 1.89819) * 10 + 50) .
EXECUTE .



SORT CASES BY PWmiss .
SPLIT FILE
  LAYERED BY PWmiss .
FREQUENCIES
  VARIABLES=KC52pw_R  KC52pw_T
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN MEDIAN MODE SKEWNESS SESKEW KURTOSIS SEKURT
  /BARCHART  FREQ
  /ORDER=  ANALYSIS .






IF (MISSING(KY52EMO1)) KC52me_R = KY52EMO2 + KY52EMO3 + KY52EMO4 + KY52EMO5 + KY52EMO6 + KY52EMO7 .
EXECUTE .

DO IF (MISSING(KY52EMO1)) .
RECODE KC52me_R  
(	6	=	-4.022	)	
(	7	=	-2.876	)	
(	8	=	-2.319	)	
(	9	=	-1.937	)	
(	10	=	-1.638	)	
(	11	=	-1.388	)	
(	12	=	-1.169	)	
(	13	=	-0.971	)	
(	14	=	-0.787	)	
(	15	=	-0.612	)	
(	16	=	-0.442	)	
(	17	=	-0.275	)	
(	18	=	-0.108	)	
(	19	=	0.063	)	
(	20	=	0.24	)	
(	21	=	0.426	)	
(	22	=	0.624	)	
(	23	=	0.838	)	
(	24	=	1.075	)	
(	25	=	1.342	)	
(	26	=	1.651	)	
(	27	=	2.019	)	
(	28	=	2.486	)	
(	29	=	3.143	)	
(	30	=	4.405	)	.
END IF .
EXECUTE .


IF (MISSING(KY52EMO2)) KC52me_R = KY52EMO1 + KY52EMO3 + KY52EMO4 + KY52EMO5 + KY52EMO6 + KY52EMO7 .
EXECUTE .

DO IF (MISSING(KY52EMO2)) .
RECODE KC52me_R  
(	6	=	-3.943	)	
(	7	=	-2.814	)	
(	8	=	-2.27	)	
(	9	=	-1.897	)	
(	10	=	-1.607	)	
(	11	=	-1.364	)	
(	12	=	-1.151	)	
(	13	=	-0.958	)	
(	14	=	-0.777	)	
(	15	=	-0.605	)	
(	16	=	-0.438	)	
(	17	=	-0.273	)	
(	18	=	-0.108	)	
(	19	=	0.061	)	
(	20	=	0.237	)	
(	21	=	0.421	)	
(	22	=	0.619	)	
(	23	=	0.833	)	
(	24	=	1.07	)	
(	25	=	1.337	)	
(	26	=	1.647	)	
(	27	=	2.017	)	
(	28	=	2.487	)	
(	29	=	3.149	)	
(	30	=	4.419	)	.
END IF .
EXECUTE .


IF (MISSING(KY52EMO3)) KC52me_R = KY52EMO1 + KY52EMO2 + KY52EMO4 + KY52EMO5 + KY52EMO6 + KY52EMO7 .
EXECUTE .

DO IF (MISSING(KY52EMO3)) .
RECODE KC52me_R  
(	6	=	-4.015	)	
(	7	=	-2.869	)	
(	8	=	-2.31	)	
(	9	=	-1.926	)	
(	10	=	-1.626	)	
(	11	=	-1.374	)	
(	12	=	-1.154	)	
(	13	=	-0.954	)	
(	14	=	-0.767	)	
(	15	=	-0.589	)	
(	16	=	-0.416	)	
(	17	=	-0.245	)	
(	18	=	-0.073	)	
(	19	=	0.104	)	
(	20	=	0.288	)	
(	21	=	0.483	)	
(	22	=	0.692	)	
(	23	=	0.922	)	
(	24	=	1.178	)	
(	25	=	1.468	)	
(	26	=	1.806	)	
(	27	=	2.208	)	
(	28	=	2.709	)	
(	29	=	3.395	)	
(	30	=	4.67	)	.
END IF .
EXECUTE .


IF (MISSING(KY52EMO4)) KC52me_R = KY52EMO1 + KY52EMO2 + KY52EMO3 + KY52EMO5 + KY52EMO6 + KY52EMO7 .
EXECUTE .

DO IF (MISSING(KY52EMO4)) .
RECODE KC52me_R  
(	6	=	-4.034	)	
(	7	=	-2.888	)	
(	8	=	-2.33	)	
(	9	=	-1.945	)	
(	10	=	-1.643	)	
(	11	=	-1.39	)	
(	12	=	-1.167	)	
(	13	=	-0.965	)	
(	14	=	-0.776	)	
(	15	=	-0.596	)	
(	16	=	-0.421	)	
(	17	=	-0.247	)	
(	18	=	-0.073	)	
(	19	=	0.105	)	
(	20	=	0.291	)	
(	21	=	0.487	)	
(	22	=	0.698	)	
(	23	=	0.928	)	
(	24	=	1.184	)	
(	25	=	1.474	)	
(	26	=	1.811	)	
(	27	=	2.212	)	
(	28	=	2.712	)	
(	29	=	3.397	)	
(	30	=	4.671	)	.
END IF .
EXECUTE .


IF (MISSING(KY52EMO5)) KC52me_R = KY52EMO1 + KY52EMO2 + KY52EMO3 + KY52EMO4 + KY52EMO6 + KY52EMO7 .
EXECUTE .

DO IF (MISSING(KY52EMO5)) .
RECODE KC52me_R  
(	6	=	-4.074	)	
(	7	=	-2.932	)	
(	8	=	-2.377	)	
(	9	=	-1.995	)	
(	10	=	-1.698	)	
(	11	=	-1.449	)	
(	12	=	-1.23	)	
(	13	=	-1.032	)	
(	14	=	-0.848	)	
(	15	=	-0.673	)	
(	16	=	-0.504	)	
(	17	=	-0.336	)	
(	18	=	-0.168	)	
(	19	=	0.004	)	
(	20	=	0.182	)	
(	21	=	0.371	)	
(	22	=	0.573	)	
(	23	=	0.795	)	
(	24	=	1.042	)	
(	25	=	1.325	)	
(	26	=	1.656	)	
(	27	=	2.056	)	
(	28	=	2.566	)	
(	29	=	3.271	)	
(	30	=	4.572	)	.
END IF .
EXECUTE .


IF (MISSING(KY52EMO6)) KC52me_R = KY52EMO1 + KY52EMO2 + KY52EMO3 + KY52EMO4 + KY52EMO5 + KY52EMO7 .
EXECUTE .

DO IF (MISSING(KY52EMO6)) .
RECODE KC52me_R  
(	6	=	-4.096	)	
(	7	=	-2.951	)	
(	8	=	-2.393	)	
(	9	=	-2.009	)	
(	10	=	-1.707	)	
(	11	=	-1.453	)	
(	12	=	-1.229	)	
(	13	=	-1.025	)	
(	14	=	-0.833	)	
(	15	=	-0.65	)	
(	16	=	-0.471	)	
(	17	=	-0.294	)	
(	18	=	-0.114	)	
(	19	=	0.069	)	
(	20	=	0.261	)	
(	21	=	0.464	)	
(	22	=	0.681	)	
(	23	=	0.918	)	
(	24	=	1.18	)	
(	25	=	1.476	)	
(	26	=	1.816	)	
(	27	=	2.22	)	
(	28	=	2.721	)	
(	29	=	3.405	)	
(	30	=	4.678	)	.
END IF .
EXECUTE .


IF (MISSING(KY52EMO7)) KC52me_R = KY52EMO1 + KY52EMO2 + KY52EMO3 + KY52EMO4 + KY52EMO5 + KY52EMO6 .
EXECUTE .

DO IF (MISSING(KY52EMO7)) .
RECODE KC52me_R  
(	6	=	-4.123	)	
(	7	=	-2.98	)	
(	8	=	-2.424	)	
(	9	=	-2.041	)	
(	10	=	-1.742	)	
(	11	=	-1.491	)	
(	12	=	-1.27	)	
(	13	=	-1.07	)	
(	14	=	-0.884	)	
(	15	=	-0.706	)	
(	16	=	-0.533	)	
(	17	=	-0.362	)	
(	18	=	-0.19	)	
(	19	=	-0.014	)	
(	20	=	0.17	)	
(	21	=	0.364	)	
(	22	=	0.574	)	
(	23	=	0.805	)	
(	24	=	1.064	)	
(	25	=	1.36	)	
(	26	=	1.706	)	
(	27	=	2.122	)	
(	28	=	2.639	)	
(	29	=	3.341	)	
(	30	=	4.631	)	.
END IF .
EXECUTE .



COUNT
  MEmiss = KY52EMO1 KY52EMO2 KY52EMO3 KY52EMO4 KY52EMO5 KY52EMO6 KY52EMO7  (MISSING)  .
EXECUTE .
RECODE
  MEmiss  (0=0)  (1=1)  (2 thru Highest=SYSMIS)  .
EXECUTE .

IF (MEmiss=1) KC52me_T  = (((KC52me_R  - 1.7678)  / 1.41742) * 10 + 50) .
EXECUTE .

SORT CASES BY MEmiss .
SPLIT FILE
  LAYERED BY MEmiss .
FREQUENCIES
  VARIABLES=KC52me_R  KC52me_T
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN MEDIAN MODE SKEWNESS SESKEW KURTOSIS SEKURT
  /BARCHART  FREQ
  /ORDER=  ANALYSIS .






IF (MISSING(KY52SEL1)) KC52sp_R = KY52SEL2 + KY52SEL3 + KY52SEL4 + KY52SEL5  .
EXECUTE .

DO IF (MISSING(KY52SEL1)) .
RECODE KC52sp_R  
(	4	=	-3.062	)	
(	5	=	-1.965	)	
(	6	=	-1.439	)	
(	7	=	-1.08	)	
(	8	=	-0.801	)	
(	9	=	-0.566	)	
(	10	=	-0.356	)	
(	11	=	-0.162	)	
(	12	=	0.024	)	
(	13	=	0.21	)	
(	14	=	0.402	)	
(	15	=	0.608	)	
(	16	=	0.841	)	
(	17	=	1.122	)	
(	18	=	1.49	)	
(	19	=	2.043	)	
(	20	=	3.201	)	.
END IF .
EXECUTE .


IF (MISSING(KY52SEL2)) KC52sp_R = KY52SEL1 + KY52SEL3 + KY52SEL4 + KY52SEL5  .
EXECUTE .

DO IF (MISSING(KY52SEL2)) .
RECODE KC52sp_R  
(	4	=	-3.05	)	
(	5	=	-1.911	)	
(	6	=	-1.378	)	
(	7	=	-1.023	)	
(	8	=	-0.748	)	
(	9	=	-0.516	)	
(	10	=	-0.31	)	
(	11	=	-0.117	)	
(	12	=	0.069	)	
(	13	=	0.256	)	
(	14	=	0.451	)	
(	15	=	0.662	)	
(	16	=	0.904	)	
(	17	=	1.199	)	
(	18	=	1.591	)	
(	19	=	2.179	)	
(	20	=	3.382	)	.
END IF .
EXECUTE .


IF (MISSING(KY52SEL3)) KC52sp_R = KY52SEL1 + KY52SEL2 + KY52SEL4 + KY52SEL5  .
EXECUTE .

DO IF (MISSING(KY52SEL3)) .
RECODE KC52sp_R  
(	4	=	-3.376	)	
(	5	=	-2.233	)	
(	6	=	-1.673	)	
(	7	=	-1.285	)	
(	8	=	-0.98	)	
(	9	=	-0.721	)	
(	10	=	-0.491	)	
(	11	=	-0.279	)	
(	12	=	-0.075	)	
(	13	=	0.126	)	
(	14	=	0.332	)	
(	15	=	0.55	)	
(	16	=	0.796	)	
(	17	=	1.091	)	
(	18	=	1.476	)	
(	19	=	2.051	)	
(	20	=	3.239	)	.
END IF .
EXECUTE .


IF (MISSING(KY52SEL4)) KC52sp_R = KY52SEL1 + KY52SEL2 + KY52SEL3 + KY52SEL5  .
EXECUTE .

DO IF (MISSING(KY52SEL4)) .
RECODE KC52sp_R  
(	4	=	-3.29	)	
(	5	=	-2.135	)	
(	6	=	-1.56	)	
(	7	=	-1.155	)	
(	8	=	-0.836	)	
(	9	=	-0.568	)	
(	10	=	-0.334	)	
(	11	=	-0.12	)	
(	12	=	0.082	)	
(	13	=	0.281	)	
(	14	=	0.487	)	
(	15	=	0.708	)	
(	16	=	0.961	)	
(	17	=	1.268	)	
(	18	=	1.67	)	
(	19	=	2.262	)	
(	20	=	3.461	)	.
END IF .
EXECUTE .


IF (MISSING(KY52SEL5)) KC52sp_R = KY52SEL1 + KY52SEL2 + KY52SEL3 + KY52SEL4  .
EXECUTE .

DO IF (MISSING(KY52SEL5)) .
RECODE KC52sp_R  
(	4	=	-3.424	)	
(	5	=	-2.286	)	
(	6	=	-1.731	)	
(	7	=	-1.348	)	
(	8	=	-1.046	)	
(	9	=	-0.791	)	
(	10	=	-0.563	)	
(	11	=	-0.35	)	
(	12	=	-0.143	)	
(	13	=	0.067	)	
(	14	=	0.287	)	
(	15	=	0.528	)	
(	16	=	0.803	)	
(	17	=	1.137	)	
(	18	=	1.569	)	
(	19	=	2.191	)	
(	20	=	3.417	)	.
END IF .
EXECUTE .


COUNT
  SPmiss = KY52SEL1 KY52SEL2 KY52SEL3 KY52SEL4 KY52SEL5 (MISSING)  .
EXECUTE .
RECODE
  SPmiss  (0=0)  (1=1)  (2 thru Highest=SYSMIS)  .
EXECUTE .

IF (SPmiss=1) KC52sp_T  = (((KC52sp_R  - 1.1504)  / 1.21962) * 10 + 50) .
EXECUTE .

SORT CASES BY SPmiss .
SPLIT FILE
  LAYERED BY SPmiss .
FREQUENCIES
  VARIABLES=KC52sp_R  KC52sp_T
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN MEDIAN MODE SKEWNESS SESKEW KURTOSIS SEKURT
  /BARCHART  FREQ
  /ORDER=  ANALYSIS .






IF (MISSING(KY52AUT1)) KC52au_R = KY52AUT2 + KY52AUT3 + KY52AUT4 + KY52AUT5 .
EXECUTE .

DO IF (MISSING(KY52AUT1)) .
RECODE KC52au_R  
(	4	=	-4.125	)	
(	5	=	-2.861	)	
(	6	=	-2.173	)	
(	7	=	-1.653	)	
(	8	=	-1.22	)	
(	9	=	-0.847	)	
(	10	=	-0.519	)	
(	11	=	-0.221	)	
(	12	=	0.058	)	
(	13	=	0.331	)	
(	14	=	0.607	)	
(	15	=	0.899	)	
(	16	=	1.223	)	
(	17	=	1.601	)	
(	18	=	2.071	)	
(	19	=	2.722	)	
(	20	=	3.967	)	.
END IF .
EXECUTE .


IF (MISSING(KY52AUT2)) KC52au_R = KY52AUT1 + KY52AUT3 + KY52AUT4 + KY52AUT5 .
EXECUTE .

DO IF (MISSING(KY52AUT2)) .
RECODE KC52au_R  
(	4	=	-4.178	)	
(	5	=	-2.904	)	
(	6	=	-2.206	)	
(	7	=	-1.678	)	
(	8	=	-1.237	)	
(	9	=	-0.858	)	
(	10	=	-0.524	)	
(	11	=	-0.222	)	
(	12	=	0.06	)	
(	13	=	0.335	)	
(	14	=	0.612	)	
(	15	=	0.905	)	
(	16	=	1.229	)	
(	17	=	1.605	)	
(	18	=	2.072	)	
(	19	=	2.72	)	
(	20	=	3.959	)	.
END IF .
EXECUTE .


IF (MISSING(KY52AUT3)) KC52au_R = KY52AUT1 + KY52AUT2 + KY52AUT4 + KY52AUT5 .
EXECUTE .

DO IF (MISSING(KY52AUT3)) .
RECODE KC52au_R  
(	4	=	-4.251	)	
(	5	=	-2.975	)	
(	6	=	-2.273	)	
(	7	=	-1.736	)	
(	8	=	-1.286	)	
(	9	=	-0.896	)	
(	10	=	-0.549	)	
(	11	=	-0.233	)	
(	12	=	0.065	)	
(	13	=	0.357	)	
(	14	=	0.654	)	
(	15	=	0.969	)	
(	16	=	1.316	)	
(	17	=	1.715	)	
(	18	=	2.203	)	
(	19	=	2.865	)	
(	20	=	4.112	)	.
END IF .
EXECUTE .


IF (MISSING(KY52AUT4)) KC52au_R = KY52AUT1 + KY52AUT2 + KY52AUT3 + KY52AUT5 .
EXECUTE .

DO IF (MISSING(KY52AUT4)) .
RECODE KC52au_R  
(	4	=	-4.25	)	
(	5	=	-2.974	)	
(	6	=	-2.271	)	
(	7	=	-1.736	)	
(	8	=	-1.289	)	
(	9	=	-0.904	)	
(	10	=	-0.566	)	
(	11	=	-0.261	)	
(	12	=	0.024	)	
(	13	=	0.301	)	
(	14	=	0.582	)	
(	15	=	0.878	)	
(	16	=	1.207	)	
(	17	=	1.589	)	
(	18	=	2.063	)	
(	19	=	2.719	)	
(	20	=	3.967	)	.
END IF .
EXECUTE .


IF (MISSING(KY52AUT5)) KC52au_R = KY52AUT1 + KY52AUT2 + KY52AUT3 + KY52AUT4 .
EXECUTE .

DO IF (MISSING(KY52AUT5)) .
RECODE KC52au_R  
(	4	=	-4.213	)	
(	5	=	-2.922	)	
(	6	=	-2.198	)	
(	7	=	-1.638	)	
(	8	=	-1.171	)	
(	9	=	-0.778	)	
(	10	=	-0.44	)	
(	11	=	-0.138	)	
(	12	=	0.142	)	
(	13	=	0.416	)	
(	14	=	0.694	)	
(	15	=	0.991	)	
(	16	=	1.321	)	
(	17	=	1.707	)	
(	18	=	2.186	)	
(	19	=	2.844	)	
(	20	=	4.091	)	.
END IF .
EXECUTE .


COUNT
  AUTmiss = KY52AUT1 KY52AUT2 KY52AUT3 KY52AUT4 KY52AUT5 (MISSING)  .
EXECUTE .
RECODE
  AUTmiss (0=0)  (1=1)  (2 thru Highest=SYSMIS)  .
EXECUTE .

IF (AUTmiss=1) KC52au_T  = (((KC52au_R  - 1.4656)  / 1.47689) * 10 + 50) .
EXECUTE .

SORT CASES BY AUTmiss .
SPLIT FILE
  LAYERED BY AUTmiss .
FREQUENCIES
  VARIABLES=KC52au_R  KC52au_T
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN MEDIAN MODE SKEWNESS SESKEW KURTOSIS SEKURT
  /BARCHART  FREQ
  /ORDER=  ANALYSIS .





IF (MISSING(KY52PAR1)) KC52pa_R = KY52PAR2 + KY52PAR3 + KY52PAR4 + KY52PAR5 + KY52PAR6 .
EXECUTE .

DO IF (MISSING(KY52PAR1)) .
RECODE KC52pa_R  
(	5	=	-4.56	)	
(	6	=	-3.344	)	
(	7	=	-2.713	)	
(	8	=	-2.254	)	
(	9	=	-1.875	)	
(	10	=	-1.541	)	
(	11	=	-1.234	)	
(	12	=	-0.943	)	
(	13	=	-0.661	)	
(	14	=	-0.386	)	
(	15	=	-0.114	)	
(	16	=	0.159	)	
(	17	=	0.434	)	
(	18	=	0.717	)	
(	19	=	1.014	)	
(	20	=	1.331	)	
(	21	=	1.682	)	
(	22	=	2.084	)	
(	23	=	2.576	)	
(	24	=	3.249	)	
(	25	=	4.515	)	.
END IF .
EXECUTE .


IF (MISSING(KY52PAR2)) KC52pa_R = KY52PAR1 + KY52PAR3 + KY52PAR4 + KY52PAR5 + KY52PAR6 .
EXECUTE .

DO IF (MISSING(KY52PAR2)) .
RECODE KC52pa_R  
(	5	=	-4.469	)	
(	6	=	-3.227	)	
(	7	=	-2.569	)	
(	8	=	-2.084	)	
(	9	=	-1.684	)	
(	10	=	-1.334	)	
(	11	=	-1.017	)	
(	12	=	-0.72	)	
(	13	=	-0.436	)	
(	14	=	-0.159	)	
(	15	=	0.115	)	
(	16	=	0.389	)	
(	17	=	0.669	)	
(	18	=	0.958	)	
(	19	=	1.262	)	
(	20	=	1.589	)	
(	21	=	1.95	)	
(	22	=	2.363	)	
(	23	=	2.863	)	
(	24	=	3.536	)	
(	25	=	4.795	)	.
END IF .
EXECUTE .


IF (MISSING(KY52PAR3)) KC52pa_R = KY52PAR1 + KY52PAR2 + KY52PAR4 + KY52PAR5 + KY52PAR6 .
EXECUTE .

DO IF (MISSING(KY52PAR3)) .
RECODE KC52pa_R  
(	5	=	-4.337	)	
(	6	=	-3.138	)	
(	7	=	-2.525	)	
(	8	=	-2.082	)	
(	9	=	-1.72	)	
(	10	=	-1.401	)	
(	11	=	-1.108	)	
(	12	=	-0.829	)	
(	13	=	-0.557	)	
(	14	=	-0.289	)	
(	15	=	-0.021	)	
(	16	=	0.25	)	
(	17	=	0.527	)	
(	18	=	0.813	)	
(	19	=	1.114	)	
(	20	=	1.439	)	
(	21	=	1.8	)	
(	22	=	2.217	)	
(	23	=	2.726	)	
(	24	=	3.417	)	
(	25	=	4.696	)	.
END IF .
EXECUTE .


IF (MISSING(KY52PAR4)) KC52pa_R = KY52PAR1 + KY52PAR2 + KY52PAR3 + KY52PAR5 + KY52PAR6 .
EXECUTE .

DO IF (MISSING(KY52PAR4)) .
RECODE KC52pa_R  
(	5	=	-4.445	)	
(	6	=	-3.233	)	
(	7	=	-2.612	)	
(	8	=	-2.167	)	
(	9	=	-1.804	)	
(	10	=	-1.488	)	
(	11	=	-1.199	)	
(	12	=	-0.926	)	
(	13	=	-0.662	)	
(	14	=	-0.402	)	
(	15	=	-0.141	)	
(	16	=	0.124	)	
(	17	=	0.396	)	
(	18	=	0.679	)	
(	19	=	0.978	)	
(	20	=	1.3	)	
(	21	=	1.655	)	
(	22	=	2.062	)	
(	23	=	2.559	)	
(	24	=	3.235	)	
(	25	=	4.504	)	.
END IF .
EXECUTE .


IF (MISSING(KY52PAR5)) KC52pa_R = KY52PAR1 + KY52PAR2 + KY52PAR3 + KY52PAR4 + KY52PAR6 .
EXECUTE .

DO IF (MISSING(KY52PAR5)) .
RECODE KC52pa_R  
(	5	=	-4.449	)	
(	6	=	-3.225	)	
(	7	=	-2.593	)	
(	8	=	-2.136	)	
(	9	=	-1.763	)	
(	10	=	-1.437	)	
(	11	=	-1.139	)	
(	12	=	-0.858	)	
(	13	=	-0.586	)	
(	14	=	-0.318	)	
(	15	=	-0.05	)	
(	16	=	0.22	)	
(	17	=	0.498	)	
(	18	=	0.787	)	
(	19	=	1.093	)	
(	20	=	1.424	)	
(	21	=	1.794	)	
(	22	=	2.221	)	
(	23	=	2.739	)	
(	24	=	3.435	)	
(	25	=	4.715	)	.
END IF .
EXECUTE .


IF (MISSING(KY52PAR6)) KC52pa_R = KY52PAR1 + KY52PAR2 + KY52PAR3 + KY52PAR4 + KY52PAR5 .
EXECUTE .

DO IF (MISSING(KY52PAR6)) .
RECODE KC52pa_R  
(	5	=	-4.488	)	
(	6	=	-3.27	)	
(	7	=	-2.64	)	
(	8	=	-2.186	)	
(	9	=	-1.816	)	
(	10	=	-1.492	)	
(	11	=	-1.195	)	
(	12	=	-0.914	)	
(	13	=	-0.641	)	
(	14	=	-0.371	)	
(	15	=	-0.099	)	
(	16	=	0.178	)	
(	17	=	0.465	)	
(	18	=	0.765	)	
(	19	=	1.084	)	
(	20	=	1.429	)	
(	21	=	1.811	)	
(	22	=	2.247	)	
(	23	=	2.77	)	
(	24	=	3.465	)	
(	25	=	4.741	)	.
END IF .
EXECUTE .


COUNT
  PARmiss = KY52PAR1 KY52PAR2 KY52PAR3 KY52PAR4 KY52PAR5 KY52PAR6 (MISSING)  .
EXECUTE .
RECODE
  PARmiss (0=0)  (1=1)  (2 thru Highest=SYSMIS)  .
EXECUTE .

IF (PARmiss=1) KC52pa_T  = (((KC52pa_R  - 2.1526)  / 1.69373) * 10 + 50) .
EXECUTE .

SORT CASES BY PARmiss .
SPLIT FILE
  LAYERED BY PARmiss .
FREQUENCIES
  VARIABLES=KC52pa_R  KC52pa_T
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN MEDIAN MODE SKEWNESS SESKEW KURTOSIS SEKURT
  /BARCHART  FREQ
  /ORDER=  ANALYSIS .




IF (MISSING(KY52SOC1)) KC52pe_R = KY52SOC2 + KY52SOC3 + KY52SOC4 + KY52SOC5 + KY52SOC6 .
EXECUTE .

DO IF (MISSING(KY52SOC1)) .
RECODE KC52pe_R  
(	5	=	-3.974	)	
(	6	=	-2.801	)	
(	7	=	-2.214	)	
(	8	=	-1.799	)	
(	9	=	-1.464	)	
(	10	=	-1.176	)	
(	11	=	-0.917	)	
(	12	=	-0.677	)	
(	13	=	-0.448	)	
(	14	=	-0.226	)	
(	15	=	-0.006	)	
(	16	=	0.214	)	
(	17	=	0.44	)	
(	18	=	0.675	)	
(	19	=	0.926	)	
(	20	=	1.199	)	
(	21	=	1.508	)	
(	22	=	1.872	)	
(	23	=	2.332	)	
(	24	=	2.983	)	
(	25	=	4.248	)	.
END IF .
EXECUTE .


IF (MISSING(KY52SOC2)) KC52pe_R = KY52SOC1 + KY52SOC3 + KY52SOC4 + KY52SOC5 + KY52SOC6 .
EXECUTE .

DO IF (MISSING(KY52SOC2)) .
RECODE KC52pe_R  
(	5	=	-4.186	)	
(	6	=	-3.001	)	
(	7	=	-2.404	)	
(	8	=	-1.98	)	
(	9	=	-1.639	)	
(	10	=	-1.345	)	
(	11	=	-1.081	)	
(	12	=	-0.836	)	
(	13	=	-0.602	)	
(	14	=	-0.375	)	
(	15	=	-0.15	)	
(	16	=	0.077	)	
(	17	=	0.309	)	
(	18	=	0.55	)	
(	19	=	0.805	)	
(	20	=	1.081	)	
(	21	=	1.388	)	
(	22	=	1.743	)	
(	23	=	2.183	)	
(	24	=	2.797	)	
(	25	=	4	)	.
END IF .
EXECUTE .


IF (MISSING(KY52SOC3)) KC52pe_R = KY52SOC1 + KY52SOC2 + KY52SOC4 + KY52SOC5 + KY52SOC6 .
EXECUTE .

DO IF (MISSING(KY52SOC3)) .
RECODE KC52pe_R  
(	5	=	-4.012	)	
(	6	=	-2.811	)	
(	7	=	-2.2	)	
(	8	=	-1.765	)	
(	9	=	-1.416	)	
(	10	=	-1.116	)	
(	11	=	-0.849	)	
(	12	=	-0.602	)	
(	13	=	-0.369	)	
(	14	=	-0.144	)	
(	15	=	0.079	)	
(	16	=	0.302	)	
(	17	=	0.531	)	
(	18	=	0.771	)	
(	19	=	1.027	)	
(	20	=	1.308	)	
(	21	=	1.625	)	
(	22	=	1.999	)	
(	23	=	2.466	)	
(	24	=	3.119	)	
(	25	=	4.373	)	.
END IF .
EXECUTE .


IF (MISSING(KY52SOC4)) KC52pe_R = KY52SOC1 + KY52SOC2 + KY52SOC3 + KY52SOC5 + KY52SOC6 .
EXECUTE .

DO IF (MISSING(KY52SOC4)) .
RECODE KC52pe_R  
(	5	=	-4.059	)	
(	6	=	-2.864	)	
(	7	=	-2.259	)	
(	8	=	-1.83	)	
(	9	=	-1.487	)	
(	10	=	-1.194	)	
(	11	=	-0.931	)	
(	12	=	-0.689	)	
(	13	=	-0.459	)	
(	14	=	-0.237	)	
(	15	=	-0.017	)	
(	16	=	0.205	)	
(	17	=	0.433	)	
(	18	=	0.672	)	
(	19	=	0.928	)	
(	20	=	1.209	)	
(	21	=	1.529	)	
(	22	=	1.907	)	
(	23	=	2.381	)	
(	24	=	3.046	)	
(	25	=	4.315	)	.
END IF .
EXECUTE .


IF (MISSING(KY52SOC5)) KC52pe_R = KY52SOC1 + KY52SOC2 + KY52SOC3 + KY52SOC4 + KY52SOC6 .
EXECUTE .

DO IF (MISSING(KY52SOC5)) .
RECODE KC52pe_R  
(	5	=	-4.159	)	
(	6	=	-2.972	)	
(	7	=	-2.373	)	
(	8	=	-1.947	)	
(	9	=	-1.605	)	
(	10	=	-1.311	)	
(	11	=	-1.047	)	
(	12	=	-0.802	)	
(	13	=	-0.57	)	
(	14	=	-0.344	)	
(	15	=	-0.12	)	
(	16	=	0.105	)	
(	17	=	0.337	)	
(	18	=	0.581	)	
(	19	=	0.843	)	
(	20	=	1.132	)	
(	21	=	1.46	)	
(	22	=	1.848	)	
(	23	=	2.335	)	
(	24	=	3.012	)	
(	25	=	4.292	)	.
END IF .
EXECUTE .


IF (MISSING(KY52SOC6)) KC52pe_R = KY52SOC1 + KY52SOC2 + KY52SOC3 + KY52SOC4 + KY52SOC5 .
EXECUTE .

DO IF (MISSING(KY52SOC6)) .
RECODE KC52pe_R  
(	5	=	-4.062	)	
(	6	=	-2.87	)	
(	7	=	-2.268	)	
(	8	=	-1.841	)	
(	9	=	-1.499	)	
(	10	=	-1.205	)	
(	11	=	-0.941	)	
(	12	=	-0.696	)	
(	13	=	-0.463	)	
(	14	=	-0.236	)	
(	15	=	-0.012	)	
(	16	=	0.215	)	
(	17	=	0.448	)	
(	18	=	0.693	)	
(	19	=	0.955	)	
(	20	=	1.243	)	
(	21	=	1.568	)	
(	22	=	1.95	)	
(	23	=	2.426	)	
(	24	=	3.088	)	
(	25	=	4.35	)	.
END IF .
EXECUTE .


COUNT
  SOCmiss = KY52SOC1 KY52SOC2 KY52SOC3 KY52SOC4 KY52SOC5 KY52SOC6 (MISSING)  .
EXECUTE .
RECODE
  SOCmiss (0=0)  (1=1)  (2 thru Highest=SYSMIS)  .
EXECUTE .

IF (SOCmiss=1) KC52pe_T  = (((KC52pe_R  - 1.4366)  / 1.40170) * 10 + 50) .
EXECUTE .

SORT CASES BY SOCmiss .
SPLIT FILE
  LAYERED BY SOCmiss .
FREQUENCIES
  VARIABLES=KC52pe_R  KC52pe_T
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN MEDIAN MODE SKEWNESS SESKEW KURTOSIS SEKURT
  /BARCHART  FREQ
  /ORDER=  ANALYSIS .




IF (MISSING(KY52SCH1)) KC52sc_R = KY52SCH2 + KY52SCH3 + KY52SCH4 + KY52SCH5 + KY52SCH6 .
EXECUTE .

DO IF (MISSING(KY52SCH1)) .
RECODE KC52sc_R  
(	5	=	-4.409	)	
(	6	=	-3.18	)	
(	7	=	-2.559	)	
(	8	=	-2.12	)	
(	9	=	-1.766	)	
(	10	=	-1.456	)	
(	11	=	-1.171	)	
(	12	=	-0.901	)	
(	13	=	-0.637	)	
(	14	=	-0.375	)	
(	15	=	-0.109	)	
(	16	=	0.165	)	
(	17	=	0.449	)	
(	18	=	0.747	)	
(	19	=	1.06	)	
(	20	=	1.393	)	
(	21	=	1.754	)	
(	22	=	2.158	)	
(	23	=	2.64	)	
(	24	=	3.289	)	
(	25	=	4.518	)	.
END IF .
EXECUTE .


IF (MISSING(KY52SCH2)) KC52sc_R = KY52SCH1 + KY52SCH3 + KY52SCH4 + KY52SCH5 + KY52SCH6 .
EXECUTE .

DO IF (MISSING(KY52SCH2)) .
RECODE KC52sc_R  
(	5	=	-4.347	)	
(	6	=	-3.09	)	
(	7	=	-2.448	)	
(	8	=	-1.999	)	
(	9	=	-1.644	)	
(	10	=	-1.34	)	
(	11	=	-1.066	)	
(	12	=	-0.808	)	
(	13	=	-0.556	)	
(	14	=	-0.304	)	
(	15	=	-0.047	)	
(	16	=	0.219	)	
(	17	=	0.498	)	
(	18	=	0.791	)	
(	19	=	1.101	)	
(	20	=	1.431	)	
(	21	=	1.79	)	
(	22	=	2.194	)	
(	23	=	2.676	)	
(	24	=	3.327	)	
(	25	=	4.558	)	.
END IF .
EXECUTE .


IF (MISSING(KY52SCH3)) KC52sc_R = KY52SCH1 + KY52SCH2 + KY52SCH4 + KY52SCH5 + KY52SCH6 .
EXECUTE .

DO IF (MISSING(KY52SCH3)) .
RECODE KC52sc_R  
(	5	=	-4.418	)	
(	6	=	-3.195	)	
(	7	=	-2.583	)	
(	8	=	-2.153	)	
(	9	=	-1.808	)	
(	10	=	-1.508	)	
(	11	=	-1.233	)	
(	12	=	-0.97	)	
(	13	=	-0.71	)	
(	14	=	-0.449	)	
(	15	=	-0.181	)	
(	16	=	0.098	)	
(	17	=	0.391	)	
(	18	=	0.701	)	
(	19	=	1.031	)	
(	20	=	1.384	)	
(	21	=	1.767	)	
(	22	=	2.193	)	
(	23	=	2.695	)	
(	24	=	3.361	)	
(	25	=	4.603	)	.
END IF .
EXECUTE .


IF (MISSING(KY52SCH4)) KC52sc_R = KY52SCH1 + KY52SCH2 + KY52SCH3 + KY52SCH5 + KY52SCH6 .
EXECUTE .

DO IF (MISSING(KY52SCH4)) .
RECODE KC52sc_R  
(	5	=	-3.955	)	
(	6	=	-2.839	)	
(	7	=	-2.293	)	
(	8	=	-1.906	)	
(	9	=	-1.59	)	
(	10	=	-1.312	)	
(	11	=	-1.055	)	
(	12	=	-0.807	)	
(	13	=	-0.563	)	
(	14	=	-0.316	)	
(	15	=	-0.061	)	
(	16	=	0.205	)	
(	17	=	0.483	)	
(	18	=	0.776	)	
(	19	=	1.086	)	
(	20	=	1.416	)	
(	21	=	1.774	)	
(	22	=	2.176	)	
(	23	=	2.657	)	
(	24	=	3.304	)	
(	25	=	4.533	)	.
END IF .
EXECUTE .


IF (MISSING(KY52SCH5)) KC52sc_R = KY52SCH1 + KY52SCH2 + KY52SCH3 + KY52SCH4 + KY52SCH6 .
EXECUTE .

DO IF (MISSING(KY52SCH5)) .
RECODE KC52sc_R  
(	5	=	-4.431	)	
(	6	=	-3.214	)	
(	7	=	-2.607	)	
(	8	=	-2.183	)	
(	9	=	-1.845	)	
(	10	=	-1.553	)	
(	11	=	-1.286	)	
(	12	=	-1.032	)	
(	13	=	-0.783	)	
(	14	=	-0.531	)	
(	15	=	-0.27	)	
(	16	=	0.005	)	
(	17	=	0.298	)	
(	18	=	0.61	)	
(	19	=	0.944	)	
(	20	=	1.302	)	
(	21	=	1.689	)	
(	22	=	2.121	)	
(	23	=	2.63	)	
(	24	=	3.302	)	
(	25	=	4.552	)	.
END IF .
EXECUTE .


IF (MISSING(KY52SCH6)) KC52sc_R = KY52SCH1 + KY52SCH2 + KY52SCH3 + KY52SCH4 + KY52SCH5 .
EXECUTE .

DO IF (MISSING(KY52SCH6)) .
RECODE KC52sc_R  
(	5	=	-4.232	)	
(	6	=	-2.991	)	
(	7	=	-2.382	)	
(	8	=	-1.961	)	
(	9	=	-1.626	)	
(	10	=	-1.334	)	
(	11	=	-1.067	)	
(	12	=	-0.812	)	
(	13	=	-0.56	)	
(	14	=	-0.306	)	
(	15	=	-0.043	)	
(	16	=	0.231	)	
(	17	=	0.52	)	
(	18	=	0.826	)	
(	19	=	1.15	)	
(	20	=	1.494	)	
(	21	=	1.865	)	
(	22	=	2.278	)	
(	23	=	2.767	)	
(	24	=	3.42	)	
(	25	=	4.652	)	.
END IF .
EXECUTE .


COUNT
  SCHmiss = KY52SCH1 KY52SCH2 KY52SCH3 KY52SCH4 KY52SCH5 KY52SCH6 (MISSING)  .
EXECUTE .
RECODE
  SCHmiss (0=0)  (1=1)  (2 thru Highest=SYSMIS)  .
EXECUTE .

IF (SCHmiss=1) KC52sc_T  = (((KC52sc_R  - 1.0682)  / 1.54456) * 10 + 50) .
EXECUTE .

SORT CASES BY SCHmiss .
SPLIT FILE
  LAYERED BY SCHmiss .
FREQUENCIES
  VARIABLES=KC52sc_R  KC52sc_T
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN MEDIAN MODE SKEWNESS SESKEW KURTOSIS SEKURT
  /BARCHART  FREQ
  /ORDER=  ANALYSIS .





